> ## Documentation Index
> Fetch the complete documentation index at: https://docs.interactly.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Bulk Create Global Variables Endpoint

> Bulk create/upsert global variables for the team.



## OpenAPI

````yaml https://api-prod.interactly.ai/api-docs/workflows/api.json post /workflows/v1/global-variables/bulk
openapi: 3.1.0
info:
  title: Interactly API
  description: API for building interactly.ai services
  version: 1.1.0
  contact:
    name: Interactly
    url: https://interactly.ai
    email: developers@interactly.ai
servers:
  - url: https://api-prod.interactly.ai
    description: API Server
security: []
paths:
  /workflows/v1/global-variables/bulk:
    post:
      tags:
        - Global Variables
      summary: Bulk Create Global Variables Endpoint
      description: Bulk create/upsert global variables for the team.
      operationId: >-
        workflow_service_bulk_create_global_variables_endpoint_v1_global_variables_bulk_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BulkCreateGlobalVariablesRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - bearer: []
components:
  schemas:
    BulkCreateGlobalVariablesRequest:
      properties:
        variables:
          items:
            $ref: '#/components/schemas/BulkCreateGlobalVariableItem'
          type: array
          title: Variables
      type: object
      required:
        - variables
      title: BulkCreateGlobalVariablesRequest
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    BulkCreateGlobalVariableItem:
      properties:
        name:
          type: string
          maxLength: 256
          minLength: 1
          title: Name
        value:
          type: string
          title: Value
          default: ''
        description:
          anyOf:
            - type: string
              maxLength: 1024
            - type: 'null'
          title: Description
        category:
          anyOf:
            - type: string
              maxLength: 128
            - type: 'null'
          title: Category
        is_secret:
          type: boolean
          title: Is Secret
          default: false
      type: object
      required:
        - name
      title: BulkCreateGlobalVariableItem
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: Bearer
      type: http
      description: >-
        Retrieve your API Key from [Dashboard API Keys
        Section](https://dashboard.interactly.ai/api-keys).

````